package edu.wpi.cs.dsrg.xmldb.xat.component.operatorfactory;

import edu.wpi.cs.dsrg.xmldb.xat.common.operator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.specialoperator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.sqloperator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.streamoperator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.updateoperator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.xmloperator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.xatnode.*;
/**
 * Insert the type's description here.
 * @author: Brad Pielech
 */
public class StreamOperatorBuilder extends OperatorBuilder {
/**
 * StreamOperatorBuilder constructor comment.
 */
protected StreamOperatorBuilder() {
	super();
}
/**
 * Returns a handle to the operatorBuilder
 * This is a friend method so it can only be invoked by the factory
 * @return edu.wpi.cs.dsrg.xmldb.xat.component.operatorfactory.OperatorBuilder
 */
static OperatorBuilder getOperatorBuilder() {
	if(builder == null){
		builder = new StreamOperatorBuilder();
	}
	return builder;
}
}
